import MainLayout from '@/layout/main/MainLayout.vue';

const router = {
    path: '/sensors',
    component: MainLayout,
    name: '/sensors',
    redirect: '/sensors/basic',
    meta: {
        title: '传感器管理',
        icon: 'table',
        routerGuard: true,
        i18n:`传感器管理`
    },
    children: [{
      path: 'basic',
      name: '/sensors/basic',
      component: () => import(/* webpackChunkName: "list" */ '@/views/list/sensorsBasic.vue'),
      meta: {
        title: '基本信息',
        routerGuard: true,
        i18n:`menu.list.basic`
      },
    },
    {
      path: 'changeunit',
      name: '/sensors/changeunit',
      component: () => import(/* webpackChunkName: "list" */ '@/views/list/sensorChangeUnit.vue'),
      meta: {
        title: '单位转换',
        routerGuard: true,
        i18n:`menu.list.changeunit`
      },
    }
  ],
  };

export default router;
